ru.bitel.bgbilling.modules.moneta.server.bean

## Class Constants

- java.lang.Object
- - ru.bitel.bgbilling.common.bean.BGBaseConstants
  - - ru.bitel.bgbilling.modules.moneta.server.bean.Constants

-     public class Constants
      extends BGBaseConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `KEY_MONETA_GATE_URL`
    `static java.lang.String` | `KEY_MONETA_MNT_CURRENCY_CODE`
    `static java.lang.String` | `KEY_MONETA_MNT_DESCRIPTION`
    `static java.lang.String` | `KEY_MONETA_MNT_ID`
    `static java.lang.String` | `KEY_MONETA_MNT_TEST_MODE`
    `static java.lang.String` | `KEY_MONETA_PAYMENT_COMMENT`
    `static java.lang.String` | `KEY_MONETA_PAYMENT_TYPE_ID`
    `static java.lang.String` | `KEY_MONETA_SIGN_CHECK_CODE`
    `static java.lang.String` | `KEY_MONETA_STATUS_DEFAUL`
    `static java.lang.String` | `KEY_MONETA_SUM_MAX`
    `static java.lang.String` | `KEY_MONETA_SUM_MIN`
    `static java.lang.String` | `MONETA_GATE_URL`
    `static java.lang.String` | `MONETA_MNT_CURRENCY_CODE`
    `static java.lang.String` | `MONETA_MNT_DESCRIPTION`
    `static java.lang.String` | `MONETA_MNT_TEST_MODE`
    `static java.lang.String` | `MONETA_PAYMENT_COMMENT`
    `static int` | `MONETA_SUM_MAX`
    `static int` | `MONETA_SUM_MIN`
    `static java.lang.String` | `PARAM_MONETA_MNT_AMOUNT`
    `static java.lang.String` | `PARAM_MONETA_MNT_CORRACCOUNT`
    `static java.lang.String` | `PARAM_MONETA_MNT_CURRENCY_CODE`
    `static java.lang.String` | `PARAM_MONETA_MNT_ID`
    `static java.lang.String` | `PARAM_MONETA_MNT_OPERATION_ID`
    `static java.lang.String` | `PARAM_MONETA_MNT_SIGNATURE`
    `static java.lang.String` | `PARAM_MONETA_MNT_SUBSCRIBER_ID`
    `static java.lang.String` | `PARAM_MONETA_MNT_TEST_MODE`
    `static java.lang.String` | `PARAM_MONETA_MNT_TRANSACTION_ID`
    `static java.lang.String` | `PARAM_MONETA_MNT_USER`
    `static java.lang.String` | `PARAM_MONETA_PAYMENT_SYSTEM_UNIT_ID`

    - ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

      `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MONETA_SUM_MIN

          public static final int MONETA_SUM_MIN

      See Also:
        Constant Field Values

    - #### MONETA_SUM_MAX

          public static final int MONETA_SUM_MAX

      See Also:
        Constant Field Values

    - #### MONETA_MNT_TEST_MODE

          public static final java.lang.String MONETA_MNT_TEST_MODE

      See Also:
        Constant Field Values

    - #### MONETA_GATE_URL

          public static final java.lang.String MONETA_GATE_URL

      See Also:
        Constant Field Values

    - #### MONETA_MNT_DESCRIPTION

          public static final java.lang.String MONETA_MNT_DESCRIPTION

      See Also:
        Constant Field Values

    - #### MONETA_PAYMENT_COMMENT

          public static final java.lang.String MONETA_PAYMENT_COMMENT

      See Also:
        Constant Field Values

    - #### MONETA_MNT_CURRENCY_CODE

          public static final java.lang.String MONETA_MNT_CURRENCY_CODE

      See Also:
        Constant Field Values

    - #### KEY_MONETA_SUM_MIN

          public static final java.lang.String KEY_MONETA_SUM_MIN

      See Also:
        Constant Field Values

    - #### KEY_MONETA_SUM_MAX

          public static final java.lang.String KEY_MONETA_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_MONETA_GATE_URL

          public static final java.lang.String KEY_MONETA_GATE_URL

      See Also:
        Constant Field Values

    - #### KEY_MONETA_MNT_DESCRIPTION

          public static final java.lang.String KEY_MONETA_MNT_DESCRIPTION

      See Also:
        Constant Field Values

    - #### KEY_MONETA_PAYMENT_COMMENT

          public static final java.lang.String KEY_MONETA_PAYMENT_COMMENT

      See Also:
        Constant Field Values

    - #### KEY_MONETA_MNT_ID

          public static final java.lang.String KEY_MONETA_MNT_ID

      See Also:
        Constant Field Values

    - #### KEY_MONETA_MNT_CURRENCY_CODE

          public static final java.lang.String KEY_MONETA_MNT_CURRENCY_CODE

      See Also:
        Constant Field Values

    - #### KEY_MONETA_MNT_TEST_MODE

          public static final java.lang.String KEY_MONETA_MNT_TEST_MODE

      See Also:
        Constant Field Values

    - #### KEY_MONETA_SIGN_CHECK_CODE

          public static final java.lang.String KEY_MONETA_SIGN_CHECK_CODE

      See Also:
        Constant Field Values

    - #### KEY_MONETA_PAYMENT_TYPE_ID

          public static final java.lang.String KEY_MONETA_PAYMENT_TYPE_ID

      See Also:
        Constant Field Values

    - #### KEY_MONETA_STATUS_DEFAUL

          public static final java.lang.String KEY_MONETA_STATUS_DEFAUL

      See Also:
        Constant Field Values

    - #### PARAM_MONETA_MNT_ID

          public static final java.lang.String PARAM_MONETA_MNT_ID

      See Also:
        Constant Field Values

    - #### PARAM_MONETA_MNT_TRANSACTION_ID

          public static final java.lang.String PARAM_MONETA_MNT_TRANSACTION_ID

      See Also:
        Constant Field Values

    - #### PARAM_MONETA_MNT_OPERATION_ID

          public static final java.lang.String PARAM_MONETA_MNT_OPERATION_ID

      See Also:
        Constant Field Values

    - #### PARAM_MONETA_MNT_AMOUNT

          public static final java.lang.String PARAM_MONETA_MNT_AMOUNT

      See Also:
        Constant Field Values

    - #### PARAM_MONETA_MNT_CURRENCY_CODE

          public static final java.lang.String PARAM_MONETA_MNT_CURRENCY_CODE

      See Also:
        Constant Field Values

    - #### PARAM_MONETA_MNT_SUBSCRIBER_ID

          public static final java.lang.String PARAM_MONETA_MNT_SUBSCRIBER_ID

      See Also:
        Constant Field Values

    - #### PARAM_MONETA_MNT_TEST_MODE

          public static final java.lang.String PARAM_MONETA_MNT_TEST_MODE

      See Also:
        Constant Field Values

    - #### PARAM_MONETA_MNT_SIGNATURE

          public static final java.lang.String PARAM_MONETA_MNT_SIGNATURE

      See Also:
        Constant Field Values

    - #### PARAM_MONETA_MNT_USER

          public static final java.lang.String PARAM_MONETA_MNT_USER

      See Also:
        Constant Field Values

    - #### PARAM_MONETA_MNT_CORRACCOUNT

          public static final java.lang.String PARAM_MONETA_MNT_CORRACCOUNT

      See Also:
        Constant Field Values

    - #### PARAM_MONETA_PAYMENT_SYSTEM_UNIT_ID

          public static final java.lang.String PARAM_MONETA_PAYMENT_SYSTEM_UNIT_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()